org.eclipse.graphiti.ui.internal.policy

## Class ShapeForbidLayoutEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.LayoutEditPolicy
      - - org.eclipse.graphiti.ui.internal.policy.ShapeForbidLayoutEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class ShapeForbidLayoutEditPolicy
    extends org.eclipse.gef.editpolicies.LayoutEditPolicy

An EditPolicy, which 'forbids' any Layout dependent Commands. All methods of this EditPolicy return null, which is different from using no EditPolicy at all, because it will create a visible feedback that the requests are forbidden. This EditPolicy can for example be used for those EditParts, which do not have any children.

See Also:
  `IEditPolicyFactory.createShapeForbidLayoutEditPolicy()`

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Method Summary

### Methods inherited from class org.eclipse.gef.editpolicies.LayoutEditPolicy

`activate, deactivate, eraseTargetFeedback, getCommand, getTargetEditPart, showTargetFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`